[P021]Abstract Image
Receive patent abstract image data (the image from front page) by patent_id or patent_number. Patent abstract data includes abstract image number and abstract image URL path.
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned. The path is valid for 9 hour and will be emptied after expiration.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 077f4978-092c-4522-bc98-e8257a5c99f9,6e5c550d-28d6-4cf1-a265-b5488996b641,52ee4f52-3edc-4e41-854e-c76dd8b7d14f | patent_id |
| string | CN3307359D,CN303649457S,CN104169186A | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | CN104169186A | patent number |
patent_id | string | 52ee4f52-3edc-4e41-854e-c76dd8b7d14f | patent id |
abstract_drawing | object | Please check the form: AbstractDrawing | abstract drawing |
num | string | 0001 | abstract drawing sequence |
path | string | https://open.patsnap.com/abstract-image/CN/A/10/41/69/18/6/00000001_0001.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729565881%3B1729569481%26q-key-time%3D1729565881%3B1729569481%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3D2bce1e7f5aaaa0a4204ec97b851b44a93c37ca40&response-expires=Tue%2C%2022%20Oct%202024%2003%3A58%3A01%20GMT | abstract drawing path |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "CN104169186A",
"patent_id": "52ee4f52-3edc-4e41-854e-c76dd8b7d14f",
"abstract_drawing": {
"num": "0001",
"path": "https://open.patsnap.com/abstract-image/CN/A/10/41/69/18/6/00000001_0001.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729565881%3B1729569481%26q-key-time%3D1729565881%3B1729569481%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3D2bce1e7f5aaaa0a4204ec97b851b44a93c37ca40&response-expires=Tue%2C%2022%20Oct%202024%2003%3A58%3A01%20GMT"
}
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |